# Function subSelectWhere

- subSelectWhere(phs): ((k, v) => string)

- #### Parameters

  - ##### phs: PlaceHolderStack

  #### Returns ((k, v) => string)

  - - (k, v): string

    - #### Parameters

      - ##### k: string

      - ##### v: {
        inSelect: {
        field: string;
        table: string;
        tenant?: string;
        through?: string;
        through_pk?: string;
        valField?: string;
        where: Where;
        };
        }

        - ##### inSelect: {
          field: string;
          table: string;
          tenant?: string;
          through?: string;
          through_pk?: string;
          valField?: string;
          where: Where;
          }

          - ##### field: string

          - ##### table: string

          - ##### `Optional` tenant?: string

          - ##### `Optional` through?: string

          - ##### `Optional` through_pk?: string

          - ##### `Optional` valField?: string

          - ##### where: Where

      #### Returns string

  - Defined in db-common/internal.ts:185

Generated using TypeDoc